package cn.com.poc.long_document.dto;

import java.util.Date;

/**
 * @author alex.yao
 * @date 2025/6/3
 */
public class LongTextDialoguesDto {

    /**
     * 标题
     */
    private String title;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    /**
     * dialogs_id
     * 对话id
     */
    private String dialogsId;

    public String getDialogsId() {
        return this.dialogsId;
    }

    public void setDialogsId(String dialogsId) {
        this.dialogsId = dialogsId;
    }


    /**
     * member_id
     * 用户
     */
    private Long memberId;

    public Long getMemberId() {
        return this.memberId;
    }

    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }


    /**
     * file_url
     * 文件地址
     */
    private String fileUrl;

    public String getFileUrl() {
        return this.fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    /**
     * fileName
     * 文件名
     */
    private String fileName;

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }


    /**
     * 创建时间
     */
    private Date createdTime;

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    /**
     * 内容简介
     */
    private String summary;

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }
}

